Reveal the random value for a given sequence number and blockchain.
Reveal the random value for a given sequence number and blockchain. Given a sequence number, retrieve the corresponding random value that this provider has committed to. This endpoint will not return the random value unless someone has requested the sequence number on-chain. Every blockchain supported by this service has a distinct sequence of random numbers and chain_id. Callers must pass the appropriate chain_id to ensure they fetch the correct random number.
chain_id*stringsequence*integerint640 <= valueencoding?|nullblock_number?|int640 <= valueRandom value successfully retrieved
application/json- response
value*||curl -X GET 'https://fortuna.dourolabs.app/v1/chains/string/revelations/0'{ "value": { "data": null, "encoding": "hex" }}Get the list of supported chain ids
Get the list of supported chain ids
Returns the logs of all requests captured by the keeper.
Returns the logs of all requests captured by the keeper. This endpoint allows you to filter the logs by a specific network ID, a query string (which can be a transaction hash, sender address, or sequence number), and a time range. This is useful for debugging and monitoring the requests made to the Entropy contracts on various chains.